summaryrefslogtreecommitdiff
path: root/scripts/scan-pkgs.sh
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-01-22 20:04:39 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2010-01-22 20:04:39 +0100
commit6901993922da7eaa5253316f295f71b3b0e5db27 (patch)
tree3ccf4b7ea1c12c41dbf5db6cc8c334838b37ce70 /scripts/scan-pkgs.sh
parentc0f6e4154eaf2c670af68522ac4e3b64beb8b130 (diff)
add some font packages
Diffstat (limited to 'scripts/scan-pkgs.sh')
-rw-r--r--scripts/scan-pkgs.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 9af693c08..b546e5f8c 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -86,6 +86,10 @@ if [[ -n $ADK_PACKAGE_EGLIBC ]]; then
NEED_GPERF="$NEED_GPERF eglibc"
fi
+if [[ -n $ADK_PACKAGE_FONT-BITSTREAM-100DPI ]]; then
+ NEED_MKFONTDIR="$NEED_MKFONTDIR font-bitstream-100dpi"
+fi
+
if [[ -n $NEED_GETTEXT ]]; then
if ! which xgettext >/dev/null 2>&1; then
echo >&2 You need gettext to build $NEED_GETTEXT
@@ -114,6 +118,13 @@ if [[ -n $NEED_SSLDEV ]]; then
fi
fi
+if [[ -n $NEED_MKFONTDIR ]]; then
+ if ! which mkfontdir >/dev/null 2>&1; then
+ echo >&2 You need mkfontdir to build $NEED_MKFONTDIR
+ out=1
+ fi
+fi
+
if [[ -n $NEED_INTL ]]; then
if ! which intltool-update >/dev/null 2>&1; then
echo >&2 You need intltool-update to build $NEED_INTL